# DataExchange
TKSTEPBase
StepGeom

# StepGeom_Surface Class Reference

`#include <StepGeom_Surface.hxx>`

Inheritance diagram for StepGeom_Surface:

[legend]

## Public Member Functions

Standard_EXPORT | StepGeom_Surface ()
| Returns a Surface .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Constructor & Destructor Documentation

Standard_EXPORT StepGeom_Surface::StepGeom_Surface | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepGeom_Surface::Handle | ( | Standard_Type |  | ) | const

Reimplemented from StepGeom_GeometricRepresentationItem.

Reimplemented in StepGeom_BezierSurface, StepGeom_BezierSurfaceAndRationalBSplineSurface, StepGeom_BoundedSurface, StepGeom_BSplineSurface, StepGeom_BSplineSurfaceWithKnots, StepGeom_BSplineSurfaceWithKnotsAndRationalBSplineSurface, StepGeom_ConicalSurface, StepGeom_CurveBoundedSurface, StepGeom_CylindricalSurface, StepGeom_DegenerateToroidalSurface, StepGeom_ElementarySurface, StepGeom_OffsetSurface, StepGeom_OrientedSurface, StepGeom_Plane, StepGeom_QuasiUniformSurface, StepGeom_QuasiUniformSurfaceAndRationalBSplineSurface, StepGeom_RationalBSplineSurface, StepGeom_RectangularCompositeSurface, StepGeom_RectangularTrimmedSurface, StepGeom_SphericalSurface, StepGeom_SurfaceOfLinearExtrusion, StepGeom_SurfaceOfRevolution, StepGeom_SurfaceReplica, StepGeom_SweptSurface, StepGeom_ToroidalSurface, StepGeom_UniformSurface, and StepGeom_UniformSurfaceAndRationalBSplineSurface.

The documentation for this class was generated from the following file:

- StepGeom_Surface.hxx